// $Id: userpoints_nc.js,v 1.1.2.1 2010/11/10 20:26:38 berdir Exp $
(function ($) {
  Drupal.behaviors.userpointsNCFieldsetSummaries = {
    attach: function (context) {
      // This is both for the userpoints settings and the node type settings
      // vertical tab.
      $('fieldset#edit-userpoints-nc', context).drupalSetSummary(function (context) {
        var params = {
          '@points': $('#edit-userpoints-nc-points', context).val(),
          '%category': $('select#edit-userpoints-nc-category :selected', context).text(),
          '@points_comment': $('#edit-userpoints-nc-comment-points', context).val(),
          '%category_comment': $('select#edit-userpoints-nc-comment-category :selected', context).text()
        }

        if ($('#edit-userpoints-nc-enabled').is(':checked')) {
          if ($('#edit-userpoints-nc-published-only').is(':checked')) {
            return Drupal.t('Enabled (published only), @points (%category) for content, @points_comment (%category_comment) for comments.', params);
          }
          else {
            return Drupal.t('Enabled (all), @points (%category) for content, @points_comment (%category_comment) for comments.', params);
          }
        }
        else {
          // If disabled on the node type settings, the other settings don't
          // matter so we don't display them.
          if ($('form#node-type-form').length) {
            return Drupal.t('Disabled');
          }
          else {
            if ($('#edit-userpoints-nc-published-only').is(':checked')) {
              return Drupal.t('Disabled (published only), @points (%category) for content, @points_comment (%category_comment) for comments.', params);
            }
            else {
              return Drupal.t('Disabled (all), @points (%category) for content, @points_comment (%category_comment) for comments.', params);
            }
          }
        }
      })
    }
  };

})(jQuery);